
Cognitive Interaction Toolkit - Task #361

Check Existing Systems/Experiments for reproducibility and report issues

2015-01-06 11:44 - Florian Lier

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Thorsten Schodde % Done: 70%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 8.00 hours

Description

https://toolkit.cit-ec.uni-bielefeld.de/systems

System Issue Why(optional)

History

#1 - 2015-01-06 23:22 - Thorsten Schodde

- % Done changed from 0 to 30

Testest System: iCub Ball Tracking-nightly

On OS: Ubuntu 14.04 clean install with all updates (06.01.2014) in VirtualBox.

Problems:

while running the following command, the file "pyscxml.project" has a little error --> "," is missing.:

$prefix/jenkins/job-configurator --on-error=continue -b http://localhost:8080 -d /$prefix/dist/distributions/icub-nightly.distribution -t

 '$prefix/dist/templates/*.template'

In addition: to be consistent at one place in that command there is a "/" before $prefix and only there

all install instructions don't include fsmt --> i had to install it afterwards

found typo at http://docs.clf.cit-ec.de/fsmt-master/installation.htm search for nned -> should be need

html output at jenkins job description in plain text --> html hasn't been evaluated

I had big performence problems while running the system in a VM, but it works!

#2 - 2015-01-07 09:19 - Florian Lier

FSMT must be included. I guess this is due to the syntax error in pyscxml I fixed that. Could you please try again?

#3 - 2015-01-07 09:52 - Thorsten Schodde

I fixed it on myself in my local files and afterwards i could go through the whole guide without problems excepted the fsmt. It wasn't included.
#4 - 2015-01-07 10:09 - Florian Lier

Yes, that's fine. But other people probably don't know how to fix this. That's why I am asking you to try once more because FSMT is definitely in the

distribution.

#5 - 2015-01-07 13:09 - Thorsten Schodde

iCub Ball Tracking-nightly installation by following the guide is fully working now!

#6 - 2015-01-07 13:41 - Thorsten Schodde

- % Done changed from 30 to 50

Testest System: MORSE-CNM-1.2.1-TARBALL

On OS: Ubuntu 14.04 clean install with all updates (06.01.2014) in VirtualBox.

Systeminstallation by following the guide is fully working!

Only the same little hint as before:

to be consistent at one place in that command there is a "/" before $prefix and only there

$prefix/jenkins/job-configurator --on-error=continue -b http://localhost:8080 -d /$prefix/dist/distributions/morse-1.2.1-TARBALL.distribution -t

 '$prefix/dist/templates/*.template'

#7 - 2015-01-07 16:00 - Thorsten Schodde

Testest System: MORSE-HRI-1.2-STABLE

On OS: Ubuntu 14.04 clean install with all updates (06.01.2014) in VirtualBox.

job : morse-bb2a685735-toolkit-morse-1.2-STABLE died by timeout. couldn't check out git repro.

try to find problem

--> branch to checkout: bb2a685735 --> couldn't find branch online (https://github.com/morse-simulator/morse/branches)

maybe that's the problem?

#8 - 2015-01-07 16:02 - Florian Lier

10 minute timeout reached due to slow internet connection. I will increase the timeout for this job.

#9 - 2015-01-07 16:05 - Florian Lier

You may increase the timeout in the job config

#10 - 2015-01-07 16:08 - Thorsten Schodde

Can't find an option for timeout on the configuration-site of this job in jenkins. I only find build timeout which has a value of 60min.
#11 - 2015-01-07 16:14 - Thorsten Schodde

found it!

Source Code Management --> Add button --> Advanced clone behaviors

I will try again.

#12 - 2015-01-07 18:21 - Thorsten Schodde

Setting timeout to 30min didn't changed anything. build terminates with timeout again.

Started by upstream project "distribution-buildflow.morse-1.2-STABLE" build number 2

originally caused by:

 Started by user anonymous

Building in workspace /home/thorsten/tmp/jenkins/jobs/morse-bb2a685735-toolkit-morse-1.2-STABLE/workspace

Wiping out workspace first.

Cloning the remote Git repository

Using shallow clone

Cloning repository https://github.com/morse-simulator/morse

 > git init /home/thorsten/tmp/jenkins/jobs/morse-bb2a685735-toolkit-morse-1.2-STABLE/workspace # timeout=10

Fetching upstream changes from https://github.com/morse-simulator/morse

 > git --version # timeout=10

 > git -c core.askpass=true fetch --tags --progress https://github.com/morse-simulator/morse +refs/heads/*:refs/remotes/origin/* --depth=1 #

 timeout=30

ERROR: Timeout after 30 minutes

ERROR: Error cloning remote repo 'origin'

ERROR: Error cloning remote repo 'origin'

Finished: FAILURE

Any idea? Can you try to build it? Maybe error depends on my system?

#13 - 2015-01-07 18:23 - Florian Lier

Again checkout timeout. What's your connection speed?

#14 - 2015-01-07 18:29 - Thorsten Schodde

5Mbit.

I downloaded the package manually with Firefox from gitHub. It's only 10Xmb. So it should work in 30min.

But i will try with 60min again.

#15 - 2015-01-07 18:30 - Florian Lier

No there's a difference between github repos and the package. The repo should be more like 500 MB.
#16 - 2015-01-07 19:11 - Thorsten Schodde

New message!

Started by user anonymous

Building in workspace /home/thorsten/tmp/jenkins/jobs/morse-bb2a685735-toolkit-morse-1.2-STABLE/workspace

Wiping out workspace first.

Cloning the remote Git repository

Using shallow clone

Cloning repository https://github.com/morse-simulator/morse

 > git init /home/thorsten/tmp/jenkins/jobs/morse-bb2a685735-toolkit-morse-1.2-STABLE/workspace # timeout=10

Fetching upstream changes from https://github.com/morse-simulator/morse

 > git --version # timeout=10

 > git -c core.askpass=true fetch --tags --progress https://github.com/morse-simulator/morse +refs/heads/*:refs/remotes/origin/* --depth=1 #

 timeout=60

 > git config remote.origin.url https://github.com/morse-simulator/morse # timeout=10

 > git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10

 > git config remote.origin.url https://github.com/morse-simulator/morse # timeout=10

Fetching upstream changes from https://github.com/morse-simulator/morse

 > git -c core.askpass=true fetch --tags --progress https://github.com/morse-simulator/morse +refs/heads/*:refs/remotes/origin/* # timeout=60

 > git rev-parse bb2a685735^{commit} # timeout=10

 > git rev-parse origin/bb2a685735^{commit} # timeout=10

 > git rev-parse bb2a685735^{commit} # timeout=10

ERROR: Couldn't find any revision to build. Verify the repository and branch configuration for this job.

Finished: FAILURE

Something seems to be wrong with this job.

#17 - 2015-01-07 22:57 - Florian Lier

I see. This is because the job uses shallow clone. I will fix this.

#18 - 2015-01-07 23:00 - Florian Lier

Shallow is indeed disabled in the recipe. Can you try to fix this manually in the job?

#19 - 2015-01-08 09:59 - Thorsten Schodde

Found it. this option appears in the configuration it is checked after I added the timeout variable to the job configuration. That was my fault. I will start

the job again.

#20 - 2015-01-08 11:08 - Thorsten Schodde
Building the job works now!

Further problems:

fsmt-command not known after building all jobs in jenkins

job "ros-catkin-0.5.65-toolkit-morse-1.2-STABLE" allways failes first time while running "distribution-buildflow.morse-1.2-STABLE". After starting

this job again manually, it works without problem. Maybe timing problem?

#21 - 2015-01-08 15:13 - Thorsten Schodde

System: Oncilla Quadruped Simulation-0.2

Missing information about which software is allready install on computers from techfak.

Can't install webots on my own without sudo

Can't copy licence.srv file for webots to /usr/local/webots/resources/

Running

$prefix/jenkins/job-configurator --on-error=continue -b http://localhost:8080 -d $prefix/dist/distributions/oncilla-sim-0.2.distribution -t

 '$prefix/dist/templates/*.template'

produce the following error message

1 problem during DEPLOY/PROJECT phase:

  DEPLOYMENT-ERROR:

    Error during deployment of #<PROJECT rst-converters-python {10B840C1}> » #<VERSION rst-converters-python:master {EC8AB59}> »

 #<JOB rst-converters-python:master:toolkit-oncilla-sim-0.2 {10BE1B91}>

    Caused by:

    > #<CLOSURE (LAMBDA (&REST ALEXANDRIA.0.DEV::MORE) :IN ALEXANDRIA.0.DEV:RCURRY) {EAFD545}> does not define a partial

 order on

    > (#<JENKINS.API:BUILDER/SHELL find . -mindepth 1 -maxdepth 1 -not -name "python" -exec rm -rf {} \; {EA5F641}>

 #<JENKINS.API:BUILDER/SHELL PYTHON=python2.7 {EAC47A9}>

    >  #<JENKINS.API:BUILDER/SHELL rm -rf /tmp/oncilla-sim-0.2//lib/python2.7/site-packages/rstconverters-*.egg {EA92379}>).

    > Problems:

    > * #<BUILDER/SHELL find . -mindepth 1 -maxdepth 1 -not -name "python" -exec rm -rf {} \; {EA5F641}> - #<BUILDER/SHELL rm -rf

 /tmp/oncilla-sim-0.2//lib/python2.7/site-packages/rstconverters-*.egg

    >                                                                                                        {EA92379}>

    > * #<BUILDER/SHELL PYTHON=python2.7 {EAC47A9}> - #<BUILDER/SHELL rm -rf

 /tmp/oncilla-sim-0.2//lib/python2.7/site-packages/rstconverters-*.egg {EA92379}>

2024-04-30 5/7



#22 - 2015-01-08 16:20 - Thorsten Schodde

The following Jenkins jobs fails:

biorob-cpp-master-toolkit-oncilla-sim-0.2

libcca-oncilla-pkgconfig-0.5-toolkit-oncilla-sim-0.2

liboncilla-rci0.5-toolkit-oncilla-sim-0.2

liboncilla-webots-master-toolkit-oncilla-sim-0.2

libwebots-a4531459b-toolkit-oncilla-sim-0.2

e.g. for console print of biorob-cpp-master-toolkit-oncilla-sim-0.2:

Checking out Revision 8ad12dde7798b1bae6a10be118f5bb8947fa00cb (origin/master)

 > git config core.sparsecheckout # timeout=10

 > git checkout -f 8ad12dde7798b1bae6a10be118f5bb8947fa00cb # timeout=10

 > git branch -a # timeout=10

 > git rev-parse remotes/origin/debian^{commit} # timeout=10

 > git rev-parse remotes/origin/debian-lucid^{commit} # timeout=10

 > git rev-parse remotes/origin/debian-maverick^{commit} # timeout=10

 > git rev-parse remotes/origin/dev^{commit} # timeout=10

 > git rev-parse remotes/origin/master^{commit} # timeout=10

 > git rev-parse remotes/origin/maverick-support^{commit} # timeout=10

 > git rev-parse remotes/origin/merges-prompt-and-display^{commit} # timeout=10

 > git checkout -b master 8ad12dde7798b1bae6a10be118f5bb8947fa00cb

First time build. Skipping changelog.

Triggering biorob-cpp-master-toolkit-oncilla-sim-0.2 » master

biorob-cpp-master-toolkit-oncilla-sim-0.2 » master completed with result FAILURE

Finished: FAILURE

All of them ends with the same last 4 messages, which you can see here.

In addtion I found several prints on jenkins console which says: "WARNING: no revision found".

#23 - 2015-01-15 11:50 - Florian Lier

- % Done changed from 50 to 70

I will retry all this...and give feedback

#24 - 2015-09-24 22:53 - Florian Lier
- Status changed from In Progress to Closed
